# Generated by Django 2.2.10 on 2021-07-15 19:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Enter a Customer Name', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='datacenter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(help_text='Enter a Datacenter Username', max_length=100)),
                ('password', models.CharField(help_text='Enter a Datacenter Password', max_length=100)),
                ('ipaddress', models.CharField(help_text='Enter a Datacenter IpAddress', max_length=100)),
                ('dctype', models.CharField(blank=True, choices=[('0', 'On-Prem/AVS1.0'), ('1', 'AVS 2.0')], default='0', help_text='Datacenter Type', max_length=1)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='MigrationCheckup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('runid', models.IntegerField()),
                ('vmgrpid', models.IntegerField()),
                ('extype', models.CharField(choices=[('Pre', 'Pre'), ('Post', 'Post')], max_length=4)),
            ],
        ),
        migrations.CreateModel(
            name='MoveGroup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Enter the MoveGroup Name', max_length=100)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='status',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('runid', models.IntegerField()),
                ('total', models.IntegerField(default=0)),
                ('drstotal', models.IntegerField(default=0)),
                ('drs', models.IntegerField(default=0)),
                ('vmdetail', models.IntegerField(default=0)),
                ('network', models.IntegerField(default=0)),
                ('storage', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='VMDetail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('VM', models.TextField()),
                ('Powerstate', models.TextField()),
                ('ToolsVersion', models.TextField()),
                ('HardwareVersion', models.TextField()),
                ('Snapshot', models.TextField()),
                ('OS', models.TextField()),
                ('ISO', models.TextField()),
                ('Host', models.TextField()),
                ('Datastore', models.TextField()),
                ('Uptime', models.TextField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('runid', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.MigrationCheckup')),
            ],
        ),
        migrations.CreateModel(
            name='Storage',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('VM', models.TextField()),
                ('HardDiskName', models.TextField()),
                ('DiskSize', models.TextField()),
                ('DiskCount', models.TextField()),
                ('Multi_Writer', models.TextField()),
                ('Disk_Type', models.TextField()),
                ('StoragePolicy', models.TextField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('runid', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.MigrationCheckup')),
            ],
        ),
        migrations.CreateModel(
            name='Network',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('VM', models.TextField()),
                ('NIC', models.TextField()),
                ('IPAddress', models.TextField()),
                ('PortGroup', models.TextField()),
                ('MacAddress', models.TextField()),
                ('ConnectionStatus', models.TextField()),
                ('Ping_Status', models.TextField()),
                ('RDP', models.TextField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('runid', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.MigrationCheckup')),
            ],
        ),
        migrations.CreateModel(
            name='MoveGroupVM',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='Enter VM Name in the MoveGroup', max_length=200)),
                ('vmtools', models.IntegerField()),
                ('hardware', models.IntegerField()),
                ('mac', models.IntegerField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('movegroup', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.MoveGroup')),
            ],
        ),
        migrations.CreateModel(
            name='DRSRules',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Name', models.CharField(max_length=200)),
                ('Type', models.TextField()),
                ('VM', models.TextField()),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True)),
                ('runid', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='app.MigrationCheckup')),
            ],
        ),
    ]
